TlsFatalAlert (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class TlsFatalAlert

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.bouncycastle.crypto.tls.TlsFatalAlert

- All Implemented Interfaces:
    java.io.Serializable

      public class TlsFatalAlert
      extends java.io.IOException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Throwable` | `alertCause`
    `protected short` | `alertDescription`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsFatalAlert(short alertDescription)`
    `TlsFatalAlert(short alertDescription, java.lang.Throwable alertCause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getAlertDescription()`
    `java.lang.Throwable` | `getCause()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### alertDescription

          protected short alertDescription

    - #### alertCause

          protected java.lang.Throwable alertCause

  - ### Constructor Detail

    - #### TlsFatalAlert

          public TlsFatalAlert(short alertDescription)

    - #### TlsFatalAlert

          public TlsFatalAlert(short alertDescription,
                       java.lang.Throwable alertCause)

  - ### Method Detail

    - #### getAlertDescription

          public short getAlertDescription()

    - #### getCause

          public java.lang.Throwable getCause()

      Overrides:
        `getCause` in class `java.lang.Throwable`